#!/bin/bash
#
######################################################################
#
#	uninstall.com.samisit.reseticonservices.launchdaemon.sh
#
#	Samuel Herschbein
#	sam@SamIsIT.com
#	sherschbein@me.com
#
#	Script to uninstall com.samisit.reseticonservices.launchdaemon.
#
#	Details and revision history are in README.txt
#
######################################################################
#
#	Get the script's name
thisScriptName="${0##*/}"
#
#	Script must be run with sudo.
[[ "$(whoami)" != "root" ]]&& { printf "$thisScriptName must be run with sudo.\n\n"; exit; }
#
gotOldVersion=false
gotNewVersion=false
#	Unload launchdaemon if running. Check for the old version running. Assume both old & new may be running.
if [[ "$(sudo launchctl print system | grep 'com.samisit.ris.launchdaemon' | awk '{print $3}')" != "" ]]; then
	sudo launchctl bootout system /Library/LaunchDaemons/com.samisit.ris.launchdaemon.plist
	gotOldVersion=true
fi
if [[ "$(sudo launchctl print system | grep 'com.samisit.reseticonservices.launchdaemon' | awk '{print $3}')" != "" ]]; then
	sudo launchctl bootout system /Library/LaunchDaemons/com.samisit.reseticonservices.launchdaemon.plist
	gotNewVersion=true
fi
#
#	Remove the plist. Try to uninstall both old and new versions.
[[ -f "/Library/LaunchDaemons/com.samisit.ris.launchdaemon.plist" ]] && sudo rm "/Library/LaunchDaemons/com.samisit.ris.launchdaemon.plist"
[[ -f "/Library/LaunchDaemons/com.samisit.reseticonservices.launchdaemon.plist" ]] && sudo rm "/Library/LaunchDaemons/com.samisit.reseticonservices.launchdaemon.plist"
#
#	Try to delete both old and new version log file(s).
[[ -f "/tmp/ris_stdout.log" ]] && sudo rm "/tmp/ris_stdout.log"
[[ -f "/tmp/ris_stderr.log" ]] && sudo rm "/tmp/ris_stderr.log"
[[ -f "/tmp/com.samisit.reseticonservices.log" ]] && sudo rm "/tmp/com.samisit.reseticonservices.log"
#
$gotOldVersion && printf "\nUninstalled com.samisit.ris.launchdaemon & deleted /tmp/ris_stdout.log & /ris_stderr.log.\n"
$gotNewVersion && printf "\nUninstalled com.samisit.reseticonservices.launchdaemon & deleted /tmp/com.samisit.reseticonservices.log.\n"
echo ""
#
